/**
 * Copyright (C) 2009 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __AS_CHOOSER_H__
#define __AS_CHOOSER_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define AS_TYPE_CHOOSER             (as_chooser_get_type ())
#define AS_CHOOSER(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), AS_TYPE_CHOOSER, ASChooser))
#define AS_CHOOSER_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), AS_TYPE_CHOOSER, ASChooserClass))
#define AS_IS_CHOOSER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AS_TYPE_CHOOSER))
#define AS_IS_CHOOSER_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), AS_TYPE_CHOOSER))

typedef struct _ASChooserPrivate ASChooserPrivate;
typedef struct _ASChooserClass   ASChooserClass;
typedef struct _ASChooser        ASChooser;

struct _ASChooserClass
{
    GtkVBoxClass parent_class;
};

struct _ASChooser
{
    GtkVBox parent;

    ASChooserPrivate *priv;
};

GType      as_chooser_get_type (void) G_GNUC_CONST;
GtkWidget *as_chooser_new (const gchar *file);
gboolean   as_chooser_save (ASChooser *chooser);

G_END_DECLS

#endif /* __AS_CHOOSER_H__ */
